Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config
Class ServicePublisher

    java.lang.Object
      org.jboss.soa.esb.listeners.config.ServicePublisher

    public class ServicePublisher

extends java.lang.Object

Service contract publisher.

Author:
  tom.fennelly@jboss.com

Constructor Summary
`protected` | `ServicePublisher(java.lang.String name, java.lang.String category, org.jboss.internal.soa.esb.publish.ContractPublisher contractPublisher)` Public constructor.

Method Summary
`static void` | `addServicePublishers(ManagedLifecycleController controller, Generator.XMLBeansModel model)` Add service publication from the suppplied configuration, keying them under the controller that is managing these services.
`java.lang.String` | `getCategory()` Get the Service category.
`org.jboss.internal.soa.esb.publish.ContractPublisher` | `getContractPublisher()` Get the contract publisher for the Service associated with this publisher.
`java.lang.String` | `getDescription()` Get the service description.
`java.lang.String` | `getServiceName()` Get the name of the Service.
`static java.util.List<ServicePublisher>` | `getServicePublishers()` Get the full list of publishers registered against all active `ManagedLifecycleController` instances.
`static void` | `removeServicePublishers(ManagedLifecycleController controller)` Remove the service publications for the services under the control of the supplied controller.
`void` | `setDescription(java.lang.String description)` Set the service description.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServicePublisher

    protected ServicePublisher(java.lang.String name,
                               java.lang.String category,
                               org.jboss.internal.soa.esb.publish.ContractPublisher contractPublisher)

  Public constructor.

  Parameters:
    `name` - Service name.
    `category` - Service category.
    `contractPublisher` - Contract publisher implementation.

Method Detail

### getDescription

    public java.lang.String getDescription()

  Get the service description.

  Returns:
    Service description.

### setDescription

    public void setDescription(java.lang.String description)

  Set the service description.

  Parameters:
    `description` - Service description.

### getServiceName

    public java.lang.String getServiceName()

  Get the name of the Service.

  Returns:
    The service name.

### getCategory

    public java.lang.String getCategory()

  Get the Service category.

  Returns:
    The service category.

### getContractPublisher

    public org.jboss.internal.soa.esb.publish.ContractPublisher getContractPublisher()

  Get the contract publisher for the Service associated with this publisher.

  Returns:
    The contract publisher.

### addServicePublishers

    public static void addServicePublishers(ManagedLifecycleController controller,
                                            Generator.XMLBeansModel model)

  Add service publication from the suppplied configuration, keying them under the controller that is managing these services.

  This is used later to publish as service list, their EPRs (from the reg), links to their contract definitions, and the contract definitions (e.g. wsdls) themselves.

  Parameters:
    `model` - The configuration model.

### getServicePublishers

    public static java.util.List<ServicePublisher> getServicePublishers()

  Get the full list of publishers registered against all active `ManagedLifecycleController` instances.

  Returns:
    The full list of publishers.

### removeServicePublishers

    public static void removeServicePublishers(ManagedLifecycleController controller)

  Remove the service publications for the services under the control of the supplied controller.

  Parameters:
    `controller` - Controller.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD